Bug 246202 - net/freeswitch: build fails with PGSQL=off and without databases/postgresql*-client installed
Summary: net/freeswitch: build fails with PGSQL=off and without databases/postgresql*-...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-05-05 00:03 UTC by VVD
Modified: 2020-05-21 12:13 UTC (History)
0 users

See Also:
pi: maintainer-feedback+


Attachments
Add possibility to build without pgsql (1.20 KB, patch)
2020-05-05 03:19 UTC, VVD
vvd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2020-05-05 00:03:43 UTC
12.1 amd64:

making all mod_pgsql
gmake[6]: Entering directory '/opt/obj/usr/ports/net/freeswitch/work/freeswitch-1.10.2.-release/src/mod/databases/mod_pgsql'
Makefile:936: *** You must install libpq-dev to build mod_pgsql.  Stop.
gmake[6]: Leaving directory '/opt/obj/usr/ports/net/freeswitch/work/freeswitch-1.10.2.-release/src/mod/databases/mod_pgsql'
gmake[5]: *** [Makefile:701: mod_pgsql-all] Error 1
gmake[5]: Leaving directory '/opt/obj/usr/ports/net/freeswitch/work/freeswitch-1.10.2.-release/src/mod'
gmake[4]: *** [Makefile:607: all-recursive] Error 1
gmake[4]: Leaving directory '/opt/obj/usr/ports/net/freeswitch/work/freeswitch-1.10.2.-release/src'
gmake[3]: *** [Makefile:3575: all-recursive] Error 1
gmake[3]: Leaving directory '/opt/obj/usr/ports/net/freeswitch/work/freeswitch-1.10.2.-release'
gmake[2]: *** [Makefile:1290: all] Error 2
gmake[2]: Leaving directory '/opt/obj/usr/ports/net/freeswitch/work/freeswitch-1.10.2.-release'
*** Error code 1

Possible upstream bug: --disable-core-pgsql-support doesn't help.
Comment 1 VVD 2020-05-05 03:19:28 UTC
Created attachment 214139 [details]
Add possibility to build without pgsql

Thanks to RhToad for this patch (andrew[]tao11.riddles.org.uk).
Comment 2 Automation User 2020-05-20 00:55:59 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/147746359
Comment 3 Kurt Jaeger freebsd_committer 2020-05-21 12:13:17 UTC
Committed, thanks for the patch!
Comment 4 commit-hook freebsd_committer 2020-05-21 12:13:36 UTC
A commit references this bug:

Author: pi
Date: Thu May 21 12:12:47 UTC 2020
New revision: 536123
URL: https://svnweb.freebsd.org/changeset/ports/536123

Log:
  net/freeswitch: update 1.10.2 -> 1.10.3, fix PGSQL=off case

  - This is a major bugfix release, see Relnotes

  PR:		246202
  Submitted by:	vvd@unislabs.com, andrew@tao11.riddles.org.uk
  Reported by:	Mark J Crane <markjcrane@fusionpbx.com>
  Relnotes:	https://github.com/signalwire/freeswitch/releases/tag/v1.10.3

Changes:
  head/net/freeswitch/Makefile
  head/net/freeswitch/distinfo
  head/net/freeswitch/pkg-plist